Bug 149192 - (RootkitHunter120) Update Package: rkhunter - a Perl based scanner for rootkits, backdoors and local exploits.
Update Package: rkhunter - a Perl based scanner for rootkits, backdoors and ...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Houlette
Fedora Extras Quality Assurance
Withdrawn Pending CVS Commit Access
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-20 13:30 EST by Greg Houlette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 20:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Houlette 2005-02-20 13:30:05 EST
Description:

* Sun Feb 20 2005 Greg Houlette <tamaster@tekarmory.com> - 0:1.2.0-1
- New package version release
- Corrected digests filename of optional SRPM verification of build files
- Updated the configuration file in-place Perl edit and patch (NEW .conf)
- Added datestamping to cron report, logfile report and updater output
- Changed scheduling priority of rkhunter daily scan (nice level 10)
- Added cron script (rkhupdate) for auto-updating rootkit hunter


From upstream release CHANGELOG:

 * 1.2.0 (10/02/2005)

 New:
 - Added support for CentOS 3.4
 - Added new configuration option 'ALLOW_SSH_ROOT_USER' and program
   parameter '--allow-ssh-root-user' to allow directly login of a
   `root` user, in your SSH configuration file.
 
 Changes:
 - Updated hashes for Fedora Core 1, Core 2, Core 3
 - Changed RHEL 3, so taroon 4 uses the hashes of taroon 3
 - Updated Debian hashes
 - Removed ClamAV from application scan. It warns the user now when
   it runs an too old version.
 - Updated manpage  
 - Changed detection for SuSE versions. SuSE Linux Enterprise Server
   didn't work, because of the capitals (instead of the usual name)
 - Warn if user uses /tmp as temporary directory (possible security
   issue)
 - Updated wishlist/todo and manpage.
   
 Bugfixes:
 - Fixed wrong message when group was added/deleted from /etc/groups


Source RPM signed digests:

http://tinyurl.com/4w4re/public/fedora/rkhunter-1.2.0-1.src.md5
Comment 1 Greg Houlette 2005-02-21 20:04:26 EST
This is the first of two successive revisions of rkhunter released
within 11 days of each other.  The choice of whether to dedicate any
resources to v1.2.0 will have to be made AFTER packaging and testing
v1.2.1 (I am starting that work this evening).  I suspect that v1.2.1
will make a favorable impression and will then take priority over the
release of v1.2.0 and as such I am deferring work on v1.2.0 until I
have completed packaging and testing rkhunter v1.2.1 (you can, of
course, choose to commit v1.2.0 to CVS without building for the Extras
repository).  Sometimes, trying to keep up is hard...
Comment 2 Greg Houlette 2005-04-03 12:05:03 EDT
During the span of approximately 1 month, there have been 4 new version
releases of rkhunter.  While I was (for the most part) able to keep up
with these new upstream releases (creating new SRPMs within a week of
each release) I have not been able to get these committed into CVS for
package testing.  With the New Extras Package Process still in a state
of 'flux' (http://fedoraproject.org/wiki/NewPackageProcess) combined
with delays that are beyond my control, I've requested and have found
a sponsor for my being granted CVS commit access (now in the queue).
(http://fedoraproject.org/wiki/Extras_2fContributors)  Signed CLAs
have been provided, along with gpg key info, ssh2 key, operating IP,
hostname and username.  rkhunter has NOT been 'orphaned' (yet).

Note You need to log in before you can comment on or make changes to this bug.